
Foreman - Bug #26493

pin capybara gem to <3.16 on ruby 2.3 platforms

03/30/2019 09:13 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 1.20.3, 1.21.2, 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6630

  

Description

3.16 requires ruby 2.4 or newer, causing failures on 2.3 systems

Associated revisions

Revision f6240c95 - 03/31/2019 12:24 AM - Tomer Brisker

Fixes #26493 - Pin Capybara on Ruby 2.3 to supported version

Capybara 3.16 requires Ruby >= 2.4

History

#1 - 03/30/2019 09:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/6630 added

#2 - 03/31/2019 12:28 AM - Anonymous

- Fixed in Releases 1.20.3, 1.21.2, 1.22.0 added

#3 - 03/31/2019 01:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset f6240c956ddf96d12abc2aac37f8c890d92431b5.
